Draft Polygone

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Polygon and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Rectangle.svg Rectangle
Page suivante : B-spline Draft BSpline.svg Arrow-right.svg

Draft Polygon.svg Draft Polygone

Emplacement du menu
Drafting → Polygone
Ateliers
Draft, Arch
Raccourci par défaut
P G
Introduit dans la version
0.7
Voir aussi
Aucun

Description

La commande Draft Polygon.svg Draft Polygone crée un polygone régulier dans le plan de travail en cours à partir d'un centre et d'un rayon. Le rayon peut être défini en choisissant un point.

Un Draft Polygone peut passer du mode inscrit au mode circonscrit en modifiant sa propriété DonnéesDraw Mode. Les coins d'un Draft Polygone peuvent recevoir un congé (arrondis) ou chanfreinés en modifiant respectivement les propriétés DonnéesFillet Radius ou DonnéesChamfer Size.

Draft polygon example.jpg

Polygone régulier défini par deux points, le centre et le rayon

Utilisation

Voir aussi: Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
  2. Le panneau de tâches Polygone s'ouvre. Voir Options pour plus d'informations.
  3. Réglez le nombre souhaité de Côtés.
  4. Choisissez le premier point, le centre du polygone, dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  5. Choisissez le deuxième point dans la Vue 3D ou entrez un Rayon.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement les coordonnées du centre, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • La case à cocher Relative n'a aucune utilité pour cette commande.
  • Appuyez sur G ou cliquez sur la case Global pour basculer en mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur L ou cliquez sur la case Rempli pour activer le mode de remplissage. Si le mode rempli est activé, le polygone créé aura la valeur DonnéesMake Face true et aura une face remplie.
  • Appuyez sur T ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des polygones.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour interrompre la commande.

Remarques

  • Un Draft Polygone peut être édité avec la commande Draft Editer.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées et des rayons : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier la valeur initiale du mode rempli : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Remplir les objets avec des faces si possible. La modification du mode de remplissage dans un panneau de tâches annule cette préférence pour la session FreeCAD en cours.
  • Si l'option Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Utiliser les primitives de Part si possible est cochée, la commande créera un Part Polygone régulier au lieu d'un Draft Polygone.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Polygone est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face du polygone. La valeur sera 0.0 si DonnéesMake Face est false.
  • DonnéesChamfer Size (Length) : spécifie la longueur des chanfreins aux coins du polygone.
  • DonnéesDraw Mode (Enumeration) : spécifie si le polygone est inscrit dans un cercle ou circonscrit autour d'un cercle.
  • DonnéesFaces Number (Integer) : spécifie le nombre de côtés du polygone.
  • DonnéesFillet Radius (Length) : spécifie le rayon des congés aux coins du polygone.
  • DonnéesMake Face (Bool) : spécifie si le polygone forme une face ou non. Si c'est true, une face est créée, sinon seul le périmètre est considéré comme faisant partie de l'objet.
  • DonnéesRadius (Length) : spécifie le rayon du cercle qui définit le polygone.

Vue

Draft

  • VuePattern (Enumeration): spécifie un Draft Motif avec lequel remplir la face du polygone. Cette propriété ne fonctionne que si DonnéesMake Face est true et si DonnéesMake Face est à Flat Lines.
  • VuePattern Size (Float): spécifie la taille du Draft Motif.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un Draft Polygone, utilisez la méthode make_polygon (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makePolygon.

polygon = make_polygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Crée un objet polygon avec le nombre de faces spécifié (nfaces) basé sur un cercle de radius en millimètres.
  • Si inscribed est à True, le polygone est inscrit dans le cercle, sinon il sera circonscrit.
    • L'un des sommets du polygone sera situé sur l'axe des X si aucun autre placement n'est indiqué.
  • Si placement est None, le polygone est créé à l'origine et l'un de ses sommets se trouve sur l'axe des X.
  • Si face est à True, le polygone aura une surface, c'est-à-dire qu'il apparaîtra remplie.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(4, radius=500)
polygon2 = Draft.make_polygon(5, radius=750)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

Polygon3 = Draft.make_polygon(6, radius=1450, placement=place3)

doc.recompute()


Arrow-left.svg Page précédente : Draft Rectangle.svg Rectangle
Page suivante : B-spline Draft BSpline.svg Arrow-right.svg